%define lib_major 0
%define lib_name %mklibname criawips- 1 %{lib_major}

%define name	criawips
%define version	0.0.11
%define	release	%mkrel 3
%define	Summary	Gnome presentation application

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
Source0:	http://savannah.nongnu.org/download/criawips/%{name}-%{version}.tar.bz2
Source11:	criawips16.png
Source12:	criawips32.png
Source13:	criawips48.png

URL:		http://www.gnome.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-builroot
BuildRequires:	libgnome2-devel >= 2.8.0 libgnomeui2-devel >= 2.8.0
BuildRequires:	libglade2.0-devel >= 2.4.0 libgsf-devel >= 1.13.2 intltool
BuildRequires:	gtk-doc goffice21-devel

%description
This is  criawips,  a  small  tool  that  might  become  a  full  featured
presentation application designed and based upon the GNOME platform.
At the moment it's just a simple slide viewer, but we expect it to  become
more than that in the future.

%package -n	%{lib_name}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries

%description -n	%{lib_name}
A support library for accessing Criawips data.

%package -n	%{lib_name}-devel
Summary:	The files needed for Criawips application development
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-1-devel

%description -n	%{lib_name}-devel
This package contains the necessary include files
for developing applications that access Criawips data.

%prep
%setup -q
aclocal-1.8 -I macros
autoconf
automake-1.8

%build
%configure2_5x --enable-gtk-doc --disable-update-mimedb --disable-schemas-install --disable-scrollkeeper
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true

%find_lang %{name} --with-gnome

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
	command="%{name}" \
	needs="x11" \
	icon="%{name}.png" \
	section="Office/Presentations" \
	title="Criawips" \
	longtitle="%{Summary}" \
	xdg="true"
EOF

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="X-MandrivaLinux-Office-Presentations" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/mime/XMLnamespaces
rm -f %{buildroot}%{_datadir}/mime/application/x-criawips.xml
rm -f %{buildroot}%{_datadir}/mime/globs
rm -f %{buildroot}%{_datadir}/mime/magic
rm -f %{buildroot}%{_datadir}/mime/aliases
rm -f %{buildroot}%{_datadir}/mime/subclasses
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_datadir}/doc/%{name}-%{version}/COPYING

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_menus}
if [ -x %{_bindir}/update-mime-database ]; then %{_bindir}/update-mime-database %{_datadir}/mime > /dev/null ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor

%preun
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi


%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}
if [ -x %{_bindir}/update-mime-database ]; then %{_bindir}/update-mime-database %{_datadir}/mime > /dev/null ; fi
if [ "$1" = "0" ]; then
  gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang 
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_datadir}/gnome/help/
#%{_datadir}/gtk-doc/html/
%{_datadir}/omf/
%{_datadir}/pixmaps/
%{_sysconfdir}/gconf/schemas/criawips.schemas
%{_bindir}/criawips
%{_datadir}/applications/criawips.desktop
%{_datadir}/criawips
#%{_datadir}/gtk-doc/html/criawips/
#%{_datadir}/pixmaps/criawips.png
%{_mandir}/man1/criawips.1*
%{_datadir}/mime/packages/criawips.xml
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/
%{_libdir}/*.so
#%{_libdir}/*.la
%{_libdir}/*.a
#%{_includedir}/*
#%{_libdir}/pkgconfig/*

%changelog
* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.11-3mdv2007.0
- fix summary macro being used in menu item
- cleanups

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.0.11-2mdv2007.0
- Rebuild with latest dbus
- Fix buildrequires
- XDG menu

* Mon Mar 20 2006 Jerome Soyer <saispo@mandriva.org> 0.0.11-1mdk
- First build
- Thks G?tz Waschk for fixing mistakes
